/* all_leds
 *  
 * Az összes LED együtets villogtatása. 
 * A multifunkciós kártyán a LED-eket lehúzással 
 * kapcsolhatjuk be (negatív logika), így a LED-ek
 * akkor világítanak, amikor a hozzájuk tartozó 
 * kimenetet alacsony szintre (LOW) állítjuk.
 * 
 * Hardver elrendezés:
 * -------------------
 *    D13 --> LED1 
 *    D12 --> LED2   
 *    D11 --> LED3
 *    D10 --> LED4      
 */

//-- LED vezérlő kimenetek ------
#define led1 13
#define led2 12
#define led3 11
#define led4 10

void setup() {
  //-- Digitális kimenetek inicializálása ---
  pinMode(led1, OUTPUT);
  pinMode(led2, OUTPUT);
  pinMode(led3, OUTPUT);
  pinMode(led4, OUTPUT);
}

void loop() {
  //-- Minden LED világítson ---
  digitalWrite(led1, LOW);
  digitalWrite(led2, LOW);
  digitalWrite(led3, LOW);
  digitalWrite(led4, LOW);
  delay(1000);
  //-- Minden LED leoltása ---
  digitalWrite(led1, HIGH);
  digitalWrite(led2, HIGH);
  digitalWrite(led3, HIGH);
  digitalWrite(led4, HIGH);
  delay(1000);
}
