/*
  Blink

  Ismételgetve bekapcsol egy LED-et egy másodpercre, majd kikapcsolja egy másodpercre.

  A legtöbb Arduino kártyán van egy beépített LED, ami programból kapcsolgatható. 
  Az UNO és a NANO kártyákon ez 13-as digitális kivezetéshez csatlakozik, de más 
  kártyákon más kiveztésre lehet kötve. Az előre definiált LED_BUILTIN névvel 
  hardverfüggetlen módon hivatkozhatunk erre a kivezetésre.
*/

// A setup függvény csak egyszer fut le a kártya bekapcsolásakor vagy újraindításakor
void setup() {
  pinMode(LED_BUILTIN, OUTPUT);      // A LED_BUILTIN kivezetés legyen kimenet!
}

// A loop függvény vég nélkül, újra és újra lefut
void loop() {
  digitalWrite(LED_BUILTIN, HIGH);   // bekapcsoljuk a LED-et (magas feszültségszint)
  delay(1000);                       // 1000 ms (1 s) várakozás
  digitalWrite(LED_BUILTIN, LOW);    // kikapcsoljuk a LED-et (alacsony feszültségszint)
  delay(1000);                       // 1000 ms (1 s) várakozás
}
