/* Traffic_lamp
 * Egyszerű közlekedési lámpa vezérlése 
 * Szekvencia: Zöld, Sárga, Piros, Piros-sárga
 */

#define RED_LED     10            // Piros LED D10-re
#define YELLOW_LED  11            // Sárga LED D11-re
#define GREEN_LED   12            // Zöld  LED D12-re 

void setup() {
  pinMode(RED_LED,OUTPUT);        // D10, D11, D12 legyenek digitális kimenetek!
  pinMode(YELLOW_LED,OUTPUT);
  pinMode(GREEN_LED,OUTPUT);
}

void loop() {
  digitalWrite(RED_LED,LOW);      // 1. fázis: zöld
  digitalWrite(YELLOW_LED,LOW);
  digitalWrite(GREEN_LED,HIGH);
  delay(1000);
  digitalWrite(GREEN_LED,LOW);    // 2. fázis: sárga 
  digitalWrite(YELLOW_LED,HIGH);
  delay(1000);
  digitalWrite(YELLOW_LED,LOW);   // 3. fázis: piros
  digitalWrite(RED_LED,HIGH);
  delay(1000);
  digitalWrite(YELLOW_LED,HIGH);  // 4. fázis: piros-sárga
  digitalWrite(RED_LED,HIGH);  
  delay(1000);
} 
