/* twoled
   Két LED-et villogtatunk, ahol a piros LED anódja a D10 lábra,
   a zöld LED anódja pedig a D11 lábra van kötve. A LED katódok 
   egy-egy 470 ohmos ellenálláson keresztül földre vannak kötve
 */
// Hardverfüggő rész Arduino Uno/nano kártyához  
#define RED_LED   10
#define GREEN_LED 11

// Hardverfüggetlen rész (akár MSP430 Launchpad kártyán is futtatható!)
void setup() {
  pinMode(RED_LED,OUTPUT);       // RED_LED legyen kimenet
  pinMode(GREEN_LED,OUTPUT);     // GREEN_LED legyen kimenet
}

void loop() {
  digitalWrite(RED_LED,HIGH);    // RED_LED világít
  digitalWrite(GREEN_LED,LOW);   // GREEN_LED nem világít 
  delay(1000);                   // 1 s várakozás  
  digitalWrite(RED_LED,LOW);     // RED_LED nem világít
  digitalWrite(GREEN_LED,HIGH);  // GREEN_LED világít
  delay(1000);                   // 1 s várakozás
}  
