/* twoled_fastio
 * Két LED vezérlése közvetlen port eléréssel 
 * Piros LED = D10, Zöld LED = D11, ezek PORTB 2. és 3. bitjei
 */

//Kezdeti beállítások
void setup() {
  DDRB |= 0b00001100;     // PORTB 2 és 3 bitje legyen kimenet!
  PORTB |= 0b00000100;    // Kezdetben PORTB_2 legyen HIGH!
  PORTB &= 0b11110111;    // Kezdetben PORTB_3 legyen LOW!
}

// a loop függvény újra és újra ismétlődik a végtelenségig
void loop() {
  PORTB ^= 0b00001100;    // a LED-ek állapotát átbillentjük (XOR művelettel)
  delay(250);             // várunk egy negyedmásodpercig
}
