/* bit_toggle
 * A D13-ra (PORTB 5. bit) kötött beépített LED-et villogtatjuk
 * közvetlen port eléréssel és a bit toggle módszerrel.
 */

//Kezdeti beállítások
void setup() {
  DDRB  |= 0b00100000;    // PORTB 5. bitje legyen kimenet!
  PORTB &= 0b11011111;    // Kezdetben PORTB_5 legyen LOW!
}

// a loop függvény újra és újra ismétlődik a végtelenségig
void loop() {
  PINB |= 0b00100000;     // a LED állapotát átbillentjük (bit toggle)
  delay(1000);            // várunk egy másodpercig
}
